@font-face {
    font-family:'monomakh';
    src: url('monomakh.woff2') format('woff2'), url('monomakh.woff') format('woff');
	font-display: swap;
}

@font-face {
    font-family:'fe-schrift';
    src: url('fe-schrift.woff2') format('woff2'), url('fe-schrift.woff') format('woff');
	font-display: swap;
}

:root {
    --blau: #153b59;
    --rot: #d40000;
    --weiss: #fff;
}

body {
    margin: 0;
    background: rgb(200,200,200) url('hintergrund@2x.webp') 20% 7%/cover fixed;
    color: var(--blau);
    font: 14pt monomakh, serif;
    line-height: 1.4;
}

#logo {
    position: fixed;
    top: 8vw; /* Fallback */
    top: max(8vw, 90px);
    right: 5vw;
    width: 40%;
    z-index: 1;
}


/* NaVICON & NAV */

#navicon-checkbox {
    display: none;
}

#navicon {
    position: fixed;
    top: 15px;
    right: 18px;
    color:  var(--rot);
    font-size: 15vw; /* Fallback */
    font-size: min(25vw, 150px);
    line-height: .15em;
    margin-top: -.45em;
    cursor: pointer;
    user-select: none;
    z-index: 6;
}

#whatsapp {
    position: fixed;
    top: 18px;
    right: 120px;
    right: min(calc(10px + 20vw), 120px);
    width: 60px; /* Fallback */
    width: min(10vw, 60px);
    filter: drop-shadow(0 0 8px #fff);
    z-index: 5;
}

nav {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(21,59,89,.5);
    align-content: center;
    align-items: center;
    z-index: 4;
}

nav ul {
    width: 100%;
    padding: 0;
    text-align: center;
    font-size: 2em;
    font-size: min(8vw, 2em);
}

nav a {
    color: var(--weiss);
    text-decoration: none;
    text-transform: uppercase;
    display: block;
    padding: .2em;
}

input[type=checkbox]:checked ~ nav {
    display: flex;
    backdrop-filter: blur(5px);
}

input[type=checkbox]:checked ~ nav a[href*="formular"] {
    animation: cta-link 3s 1;
}

@keyframes cta-link {
    0%, 40%, 100% { transform: scale(1); }
    60%, 80% { transform: scale(1.1); }
}

input[type=checkbox]:checked ~ main,
input[type=checkbox]:checked ~ #logo,
input[type=checkbox]:checked ~ footer {
    visibility: hidden;
    animation: fadeout 1s 1;
}

@keyframes fadeout {
    0% { visibility: visible; opacity: 1; }
    99% { visibility: visible; opacity: 0; }
    100% { visibility: hidden; opacity: 0; }
}


/* MAIN */

main {
    display: block;
    position: relative;
    text-align: center;
    margin-top: 46vw; /* Fallback */
    margin-top: min(46vw, 82vh);
    background-color: rgba(200,200,200,.8);
    backdrop-filter: blur(5px);
    padding: 3em 1em;
    z-index: 2;
}

main > * {
    display: block;
    text-align: left;
    margin: 1em auto;
    max-width: 888px;
}

h1 {
    text-align: center;
    text-transform: uppercase;
    font-weight: normal;
    font-size: 2.5em;
    line-height: 1.2;
}

h2 {
    background-color: var(--blau);
    color: var(--weiss);
    font-weight: normal;
    padding: .5em;
    margin-top: 2em;
    box-sizing: border-box;
}

h3 {
    margin-top: 2em;
    text-decoration: underline;
}

a,
strong {
    font-weight: normal;
    color: var(--rot);
}

b strong {
    font-weight: inherit;
}

ul {
    list-style: none;
    padding-left: 1em;
}

main li {
    margin: 1em;
}

main li:before {
    position: absolute;
    content: url('icon/check.svg');
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    vertical-align: middle;
    margin-left: -2em;
    padding: 0;
}

main img {
    max-width: 100%;
    box-shadow: 0 0 .8em 0 var(--blau);
}

.cta {
    display: inline-block;
    background-color: var(--blau);
    color: var(--weiss);
    text-align: center;
    border-radius: 1em;
    padding: 1em;
    text-decoration: none;
    transition: transform 200ms ease;
}

.cta:hover {
    transform: scale(1.1);
}

.icon {
    vertical-align: middle;
    height: 1.4em;
    box-shadow: none;
}

/* ANMELDE-PAKETE */

.pakete {
    display: block;
    text-align: center;
    max-width: unset;
    padding: 1em 0;
}

.paket {
    display: inline-block;
    border: 1px solid;
    border-radius: 20px;
    vertical-align: top;
    margin: .5em;
    padding: .5em;
    background-color: rgba(255,255,255,.25);
}

.paket:hover {
    animation: paket-mouseover 2s 1 ease-in-out;
}

@keyframes paket-mouseover {
    50% { transform: scale(1.05); }
}

.paket__titel,
.paket__cta {
    display: block;
    background-color: var(--blau);
    color: var(--weiss);
    padding: .5em;
    font-size: 1.75em;
    border-radius: 15px;
    font: 2em fe-schrift;
}

.paket__beschreibung {
    display: inline-block;
    font-style: italic;
    padding: 1em 0;
    border-bottom: 1px dashed;
}

.paket__leistungen {
    text-align: left;
    list-style: disc;
    font-size: .9em
}

.paket__leistungen li {
    margin: .25em;
}

.paket__leistungen li:before {
    content: none;
}

.paket__preis {
    display: block;
    color: var(--rot);
    font-size: 2em;
    font: 2.5em fe-schrift;
    margin: .25em;
}

.paket__cta {
    text-decoration: none;
    font-size: 1.5em;
}

/* FORM */

main form {
    display: block;
    margin: auto;
    max-width: 500px;
}

main label {
    border: 0px solid;
    display: block;
    opacity: .5;
    color: #000;
    margin-top: 1em;
}

main input,
main select,
main textarea {
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    font: inherit;
    color: inherit;
    background-color: rgba(255,255,255,.2);
    border: 0;
    border-bottom: 1px solid;
    padding: .35em;
    resize: vertical;

}

.fahrzeugkennzeichen {
    display: inline-block;
    outline: 2px solid #000;
    border-left: .5em solid #00f;
    border-radius: .2em;
    background-color: #fff;
    font: 1.2em fe-schrift;
    padding: .2em;
    margin: 0 .3em .3em 0;
}

.fahrzeugkennzeichen * {
    width: 2em;
    color: #000;
    border: 0;
    padding: 0;
    margin: 0;
}

.fahrzeugkennzeichen #wunschkennzeichen1 {
    width: 3em;
}

.kein-wunschkennzeichen {
    display: none;
}


/* FOOTER */

footer {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    background-color: var(--blau);
    color: var(--weiss);
    padding: 1em;
    justify-content: space-evenly;
    align-items: center;
    line-height: 1.75;
}

footer div {
    padding: 1em 0 1em 1.5em;
}

footer a {
    color: inherit;
    text-decoration: inherit;
}

footer img {
    width: 1.2em;
    height: 1.2em;
    position: absolute;
    margin-left: -1.5em;
    vertical-align: middle;
}

footer table {
    border-spacing: 0;
}

footer td {
    padding: 0 .5em 0 0;
}

footer div p {
    margin: 0;
}

footer > p {
    width: 100%;
    text-align: center;
    margin-top: 2em;
    opacity: .5;
}


/* RESPONSIVE */

@media (max-width: 600px) {

    #logo {
        position: absolute;
        top: 70vw;
        right: 50%;
        transform: translateX(50%);
        width: 66%;
        z-index: 3;
    }

    main {
        margin-top: 66vw;
        padding-top: 30vw;

    }

    h1 {
        font-size: 1.6em;
    }

    h2 {
        font-size: 1.25em;
    }

    footer {
        font-size: .75em;
    }
}